当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 4 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : #warning This file includes at least one deprecated …??help
帖子发表于 : 2009-06-03 17:53 

注册: 2008-09-25 21:31
帖子: 26
送出感谢: 0 次
接收感谢: 0 次
很简单的一段程序,但是莫名其妙的出现了错误;以前8.04版本的时候好像没有错误的?!

摸摸脑袋,简直莫名奇妙……

错误显示内容如下:

代码:
yangyong@Y:~/code/CFD/yyCFD2$ g++ -o yyCFD1 yyCFD1.cpp   -g
在包含自 /usr/include/c++/4.3/backward/strstream:51 的文件中,
                 从 yyCFD1.cpp:5:
/usr/include/c++/4.3/backward/backward_warning.h:33:2: 警告: #warning This file includes at least one deprecated or antiquated header which may be removed without further notice at a future date. Please use a non-deprecated interface with equivalent functionality instead. For a listing of replacement headers and interfaces, consult the file backward_warning.h. To disable this warning use -Wno-deprecated.
yangyong@Y:~/code/CFD/yyCFD2$


解决方案:
1, 编译时添加辅助命令:-Wno-deprecated 成功执行。
代码:
yangyong@Y:~/code/CFD/yyCFD2$ g++ -o yyCFD1 yyCFD1.cpp   -g
在包含自 /usr/include/c++/4.3/backward/strstream:51 的文件中,
                 从 yyCFD1.cpp:5:
/usr/include/c++/4.3/backward/backward_warning.h:33:2: 警告: #warning This file includes at least one deprecated or antiquated header which may be removed without further notice at a future date. Please use a non-deprecated interface with equivalent functionality instead. For a listing of replacement headers and interfaces, consult the file backward_warning.h. To disable this warning use -Wno-deprecated.
yangyong@Y:~/code/CFD/yyCFD2$ g++ -o yyCFD1 yyCFD1.cpp   -g  -Wno-deprecated
yangyong@Y:~/code/CFD/yyCFD2$


2,在源文件的头部,添加一行命令:
代码:
#undef  __DEPRECATED

这样也可以解决问题。

总之,虽然问题解决了,但原因还是不清楚,也不知道这样,有没有后遗症等等……,
期待高手的解答??? :em06


页首
 用户资料  
 
2 楼 
 文章标题 : Re: #warning This file includes at least one deprecated …??help
帖子发表于 : 2009-06-03 18:51 
头像

注册: 2006-05-20 14:03
帖子: 898
送出感谢: 0 次
接收感谢: 0 次
不清楚,楼主可以去看gcc的changelog,貌似4.3是个改动不小的版本


页首
 用户资料  
 
3 楼 
 文章标题 : Re: #warning This file includes at least one deprecated …??help
帖子发表于 : 2009-06-06 23:34 

注册: 2008-09-25 21:31
帖子: 26
送出感谢: 0 次
接收感谢: 0 次
peachcolor, :em01 :em01 :em11


页首
 用户资料  
 
4 楼 
 文章标题 : Re: #warning This file includes at least one deprecated …??help
帖子发表于 : 2009-07-31 9:15 

注册: 2009-07-31 9:13
帖子: 1
送出感谢: 0 次
接收感谢: 0 次
在网上搜了半天都没搜到原因,不过都是这么解决这个问题的。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 4 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译